package cn.ezhizao.common.utils.bean;

import lombok.Data;

import java.util.List;

/**
 * 水印类 配合Hutool 使用
 */
@Data
public class WaterMarker {
    /**底图的物理路径*/
    String backgroundImgUrl;
    /**结果图的物理路径*/
    String physicalPath;
    /**结果图的相对路径*/
    String relativePath;
    List<ImgWaterMarker> images;
    List<TextWaterMarker> texts;
}
