package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 外协检查关联明细对象 biz_process_inspection_relation_detail
 *
 * @author ezhizao
 * @date 2024-11-26
 */
@Data
@TableName(value = "biz_process_inspection_relation_detail")
public class BizProcessInspectionRelationDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 检查单关联id */
    @ApiModelProperty(value = "${comment}")
    private Long processInspectionRelationId;

    /** 从表批次id */
    @ApiModelProperty(value = "${comment}")
    private Long lotId;

    /** 检查单id */
    @ApiModelProperty(value = "${comment}")
    private Long processInspectionId;

    /** 是否是主检查 */
    @Excel(name = "是否是主检查")
    @ApiModelProperty(value = "是否是主检查")
    private Integer isMaster;

    /** 租户id */
    @ApiModelProperty(value = "是否是主检查")
    private Long tenantId;

}
