package cn.ezhizao.project.business.mapper;

import java.util.List;

import cn.ezhizao.project.business.domain.BizApp;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;


/**
 * app版本管理Mapper接口
 * 
 * @author 朱汕
 * @date 2023-03-07
 */
public interface BizAppMapper extends BaseMapper<BizApp>
{
    /**
     * 查询app版本管理列表
     * 
     * @param bizApp app版本管理
     * @return app版本管理集合
     */
    public List<BizApp> getList(BizApp bizApp);
}
