package cn.ezhizao.project.business.mapper;

import cn.ezhizao.project.business.domain.BizCompany;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 客户名称Mapper接口
 *
 * @author ezhizao
 * @date 2024-09-12
 */
public interface BizCompanyMapper extends BaseMapper<BizCompany>
{
    /**
     * 查询客户名称列表
     *
     * @param bizCompany 客户名称
     * @return 客户名称集合
     */
    public List<BizCompany> getList(BizCompany bizCompany);

    /**
     * 物理删除
     * @param bizCompany
     * @return 删除结果
    */
    public int physicalDelete(BizCompany bizCompany);
}
