package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizInboundOrder;

/**
 * 生产入库Mapper接口
 *
 * @author ezhizao
 * @date 2025-05-20
 */
public interface BizInboundOrderMapper extends BaseMapper<BizInboundOrder>
{
    /**
     * 查询生产入库列表
     *
     * @param bizInboundOrder 生产入库
     * @return 生产入库集合
     */
    public List<BizInboundOrder> getList(BizInboundOrder bizInboundOrder);

    /**
     * 物理删除
     * @param bizInboundOrder
     * @return 删除结果
    */
    public int physicalDelete(BizInboundOrder bizInboundOrder);
}
