package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizInspectionStandards;

/**
 * 检查标准Mapper接口
 *
 * @author ezhizao
 * @date 2024-08-05
 */
public interface BizInspectionStandardsMapper extends BaseMapper<BizInspectionStandards>
{
    /**
     * 查询检查标准列表
     *
     * @param bizInspectionStandards 检查标准
     * @return 检查标准集合
     */
    public List<BizInspectionStandards> getList(BizInspectionStandards bizInspectionStandards);

    /**
     * 物理删除
     * @param bizInspectionStandards
     * @return 删除结果
    */
    public int physicalDelete(BizInspectionStandards bizInspectionStandards);
}
