package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizLotWaste;

/**
 * 批次废弃Mapper接口
 *
 * @author ezhizao
 * @date 2024-04-02
 */
public interface BizLotWasteMapper extends BaseMapper<BizLotWaste>
{
    /**
     * 查询批次废弃列表
     *
     * @param bizLotWaste 批次废弃
     * @return 批次废弃集合
     */
    public List<BizLotWaste> getList(BizLotWaste bizLotWaste);

    /**
     * 物理删除
     * @param bizLotWaste
     * @return 删除结果
    */
    public int physicalDelete(BizLotWaste bizLotWaste);
}
