package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizProcessInspectionPicture;

/**
 * 电子图纸Mapper接口
 *
 * @author ezhizao
 * @date 2024-09-26
 */
public interface BizProcessInspectionPictureMapper extends BaseMapper<BizProcessInspectionPicture>
{
    /**
     * 查询电子图纸列表
     *
     * @param bizProcessInspectionPicture 电子图纸
     * @return 电子图纸集合
     */
    public List<BizProcessInspectionPicture> getList(BizProcessInspectionPicture bizProcessInspectionPicture);

    /**
     * 物理删除
     * @param bizProcessInspectionPicture
     * @return 删除结果
    */
    public int physicalDelete(BizProcessInspectionPicture bizProcessInspectionPicture);
}
