package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizProcessInspectionRelation;

/**
 * 外协检查关联Mapper接口
 *
 * @author ezhizao
 * @date 2024-11-26
 */
public interface BizProcessInspectionRelationMapper extends BaseMapper<BizProcessInspectionRelation>
{
    /**
     * 查询外协检查关联列表
     *
     * @param bizProcessInspectionRelation 外协检查关联
     * @return 外协检查关联集合
     */
    public List<BizProcessInspectionRelation> getList(BizProcessInspectionRelation bizProcessInspectionRelation);

    /**
     * 物理删除
     * @param bizProcessInspectionRelation
     * @return 删除结果
    */
    public int physicalDelete(BizProcessInspectionRelation bizProcessInspectionRelation);
}
