package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizResourceAllocation;

/**
 * 资源分配Mapper接口
 *
 * @author ezhizao
 * @date 2023-11-21
 */
public interface BizResourceAllocationMapper extends BaseMapper<BizResourceAllocation>
{
    /**
     * 查询资源分配列表
     *
     * @param bizResourceAllocation 资源分配
     * @return 资源分配集合
     */
    public List<BizResourceAllocation> getList(BizResourceAllocation bizResourceAllocation);

    /**
     * 物理删除
     * @param bizResourceAllocation
     * @return 删除结果
    */
    public int physicalDelete(BizResourceAllocation bizResourceAllocation);
}
