package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizReturnReceipt;

/**
 * 外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子Mapper接口
 *
 * @author ezhizao
 * @date 2024-05-08
 */
public interface BizReturnReceiptMapper extends BaseMapper<BizReturnReceipt>
{
    /**
     * 查询外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子列表
     *
     * @param bizReturnReceipt 外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子
     * @return 外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子集合
     */
    public List<BizReturnReceipt> getList(BizReturnReceipt bizReturnReceipt);
    public List<BizReturnReceipt> getAllList();

    /**
     * 物理删除
     * @param bizReturnReceipt
     * @return 删除结果
    */
    public int physicalDelete(BizReturnReceipt bizReturnReceipt);
}
