package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizStorageCode;

/**
 * 存储码Mapper接口
 *
 * @author ezhizao
 * @date 2025-05-15
 */
public interface BizStorageCodeMapper extends BaseMapper<BizStorageCode>
{
    /**
     * 查询存储码列表
     *
     * @param bizStorageCode 存储码
     * @return 存储码集合
     */
    public List<BizStorageCode> getList(BizStorageCode bizStorageCode);

    /**
     * 物理删除
     * @param bizStorageCode
     * @return 删除结果
    */
    public int physicalDelete(BizStorageCode bizStorageCode);
}
