package cn.ezhizao.project.business.mapper;

import cn.ezhizao.project.business.domain.BizSupplierProductProcess;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;


/**
 * 外协商可做产品对应的可做工序Mapper接口
 *
 * @author ezhizao
 * date    2024-04-24
 */
public interface BizSupplierProductProcessMapper extends BaseMapper<BizSupplierProductProcess> {
    /**
     * 物理删除
     *
     * @param bizSupplierProductProcess 外协商可做产品对应的可做工序信息
     * @return 删除结果
     */
    public int physicalDelete(BizSupplierProductProcess bizSupplierProductProcess);

    public List<BizSupplierProductProcess> getList(Map<String, Object> data);
}
