package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizTaksStockInboundOrderDetail;

/**
 * 盘点入库明细Mapper接口
 *
 * @author ezhizao
 * @date 2025-06-03
 */
public interface BizTaksStockInboundOrderDetailMapper extends BaseMapper<BizTaksStockInboundOrderDetail>
{
    /**
     * 查询盘点入库明细列表
     *
     * @param bizTaksStockInboundOrderDetail 盘点入库明细
     * @return 盘点入库明细集合
     */
    public List<BizTaksStockInboundOrderDetail> getList(BizTaksStockInboundOrderDetail bizTaksStockInboundOrderDetail);

    public List<BizTaksStockInboundOrderDetail> getAnyInboundInfo(BizTaksStockInboundOrderDetail bizTaksStockInboundOrderDetail);
    /**
     * 物理删除
     * @param bizTaksStockInboundOrderDetail
     * @return 删除结果
    */
    public int physicalDelete(BizTaksStockInboundOrderDetail bizTaksStockInboundOrderDetail);
}
