package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizTaksStockStorageRetrieval;

/**
 * 盘点零存零取Mapper接口
 *
 * @author ezhizao
 * @date 2024-10-14
 */
public interface BizTaksStockStorageRetrievalMapper extends BaseMapper<BizTaksStockStorageRetrieval>
{
    /**
     * 查询盘点零存零取列表
     *
     * @param bizTaksStockStorageRetrieval 盘点零存零取
     * @return 盘点零存零取集合
     */
    public List<BizTaksStockStorageRetrieval> getList(BizTaksStockStorageRetrieval bizTaksStockStorageRetrieval);

    /**
     * 物理删除
     * @param bizTaksStockStorageRetrieval
     * @return 删除结果
    */
    public int physicalDelete(BizTaksStockStorageRetrieval bizTaksStockStorageRetrieval);
}
