package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizTransferCode;

/**
 * 转运码Mapper接口
 *
 * @author ezhizao
 * @date 2025-05-19
 */
public interface BizTransferCodeMapper extends BaseMapper<BizTransferCode>
{
    /**
     * 查询转运码列表
     *
     * @param bizTransferCode 转运码
     * @return 转运码集合
     */
    public List<BizTransferCode> getList(BizTransferCode bizTransferCode);

    /**
     * 物理删除
     * @param bizTransferCode
     * @return 删除结果
    */
    public int physicalDelete(BizTransferCode bizTransferCode);
}
