package cn.ezhizao.project.business.service;

import java.util.List;

import cn.ezhizao.project.business.domain.BizApp;
import com.baomidou.mybatisplus.extension.service.IService;


/**
 * app版本管理Service接口
 * 
 * @author 朱汕
 * @date 2023-03-07
 */
public interface IBizAppService extends IService<BizApp>
{
    /**
     * 查询app版本管理列表
     * 
     * @param bizApp app版本管理
     * @return app版本管理集合
     */
    public List<BizApp> getList(BizApp bizApp);

}
