package cn.ezhizao.project.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizDayworkAuxiliaryItemReject;

/**
 * 辅助工序报工废品Service接口
 *
 * @author ezhizao
 * @date 2024-08-20
 */
public interface IBizDayworkAuxiliaryItemRejectService extends IService<BizDayworkAuxiliaryItemReject>
{
    /**
     * 查询辅助工序报工废品列表
     *
     * @param bizDayworkAuxiliaryItemReject 辅助工序报工废品
     * @return 辅助工序报工废品集合
     */
    public List<BizDayworkAuxiliaryItemReject> getList(BizDayworkAuxiliaryItemReject bizDayworkAuxiliaryItemReject);

    /**
     * 物理删除
     * @param bizDayworkAuxiliaryItemReject
     * @return 删除结果
     */
    public int physicalDelete(BizDayworkAuxiliaryItemReject bizDayworkAuxiliaryItemReject);

}
