package cn.ezhizao.project.business.service;

import cn.ezhizao.project.business.domain.BizDayworkItemConsult;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 检查指导书Service接口
 *
 * @author zhuangdezheng
 * @date 2024-04-22
 */
public interface IBizDayworkItemConsultService extends IService<BizDayworkItemConsult> {
    /**
     * 查询检测指导书列表
     *
     * @param data 查询条件
     * @return 检测指导书集合
     */
    List<BizDayworkItemConsult> getList(BizDayworkItemConsult data);

    /**
     * 物理删除
     *
     * @param bizDayworkItemConsult 待删除
     * @return 删除结果
     */
    int physicalDelete(BizDayworkItemConsult bizDayworkItemConsult);
}
