package cn.ezhizao.project.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizDayworkItemMaxHistory;

/**
 * 最高权限报工修改历史记录Service接口
 *
 * @author ezhizao
 * @date 2024-08-03
 */
public interface IBizDayworkItemMaxHistoryService extends IService<BizDayworkItemMaxHistory>
{
    /**
     * 查询最高权限报工修改历史记录列表
     *
     * @param bizDayworkItemMaxHistory 最高权限报工修改历史记录
     * @return 最高权限报工修改历史记录集合
     */
    public List<BizDayworkItemMaxHistory> getList(BizDayworkItemMaxHistory bizDayworkItemMaxHistory);

    /**
     * 物理删除
     * @param bizDayworkItemMaxHistory
     * @return 删除结果
     */
    public int physicalDelete(BizDayworkItemMaxHistory bizDayworkItemMaxHistory);

}
