package cn.ezhizao.project.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizDayworkQualified;

/**
 * 报公合格数统计Service接口
 *
 * @author ezhizao
 * @date 2024-03-08
 */
public interface IBizDayworkQualifiedService extends IService<BizDayworkQualified>
{
    /**
     * 查询报公合格数统计列表
     *
     * @param bizDayworkQualified 报公合格数统计
     * @return 报公合格数统计集合
     */
    public List<BizDayworkQualified> getList(BizDayworkQualified bizDayworkQualified);

    /**
     * 物理删除
     * @param bizDayworkQualified
     * @return 删除结果
     */
    public int physicalDelete(BizDayworkQualified bizDayworkQualified);

}
