package cn.ezhizao.project.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizOutsourceBalanceAccount;

/**
 * 外协结算Service接口
 *
 * @author ezhizao
 * @date 2024-08-12
 */
public interface IBizOutsourceBalanceAccountService extends IService<BizOutsourceBalanceAccount>
{
    /**
     * 查询外协结算列表
     *
     * @param bizOutsourceBalanceAccount 外协结算
     * @return 外协结算集合
     */
    public List<BizOutsourceBalanceAccount> getList(BizOutsourceBalanceAccount bizOutsourceBalanceAccount);

    /**
     * 物理删除
     * @param bizOutsourceBalanceAccount
     * @return 删除结果
     */
    public int physicalDelete(BizOutsourceBalanceAccount bizOutsourceBalanceAccount);

}
