package cn.ezhizao.project.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizOutsourcedRecords;

/**
 * 外协发出单历史记录Service接口
 *
 * @author ezhizao
 * @date 2024-06-03
 */
public interface IBizOutsourcedRecordsService extends IService<BizOutsourcedRecords>
{
    /**
     * 查询外协发出单历史记录列表
     *
     * @param bizOutsourcedRecords 外协发出单历史记录
     * @return 外协发出单历史记录集合
     */
    public List<BizOutsourcedRecords> getList(BizOutsourcedRecords bizOutsourcedRecords);

    /**
     * 物理删除
     * @param bizOutsourcedRecords
     * @return 删除结果
     */
    public int physicalDelete(BizOutsourcedRecords bizOutsourcedRecords);

}
