package cn.ezhizao.project.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizPackageResourceGroupDetail;

/**
 * 包装线明细Service接口
 *
 * @author ezhizao
 * @date 2024-09-03
 */
public interface IBizPackageResourceGroupDetailService extends IService<BizPackageResourceGroupDetail>
{
    /**
     * 查询包装线明细列表
     *
     * @param bizPackageResourceGroupDetail 包装线明细
     * @return 包装线明细集合
     */
    public List<BizPackageResourceGroupDetail> getList(BizPackageResourceGroupDetail bizPackageResourceGroupDetail);

    /**
     * 物理删除
     * @param bizPackageResourceGroupDetail
     * @return 删除结果
     */
    public int physicalDelete(BizPackageResourceGroupDetail bizPackageResourceGroupDetail);

}
