package cn.ezhizao.project.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizPackageResourceGroup;

/**
 * 包装线Service接口
 *
 * @author ezhizao
 * @date 2024-09-03
 */
public interface IBizPackageResourceGroupService extends IService<BizPackageResourceGroup>
{
    /**
     * 查询包装线列表
     *
     * @param bizPackageResourceGroup 包装线
     * @return 包装线集合
     */
    public List<BizPackageResourceGroup> getList(BizPackageResourceGroup bizPackageResourceGroup);

    /**
     * 物理删除
     * @param bizPackageResourceGroup
     * @return 删除结果
     */
    public int physicalDelete(BizPackageResourceGroup bizPackageResourceGroup);

}
