package cn.ezhizao.project.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizProcessInspectionPicture;

/**
 * 电子图纸Service接口
 *
 * @author ezhizao
 * @date 2024-09-26
 */
public interface IBizProcessInspectionPictureService extends IService<BizProcessInspectionPicture>
{
    /**
     * 查询电子图纸列表
     *
     * @param bizProcessInspectionPicture 电子图纸
     * @return 电子图纸集合
     */
    public List<BizProcessInspectionPicture> getList(BizProcessInspectionPicture bizProcessInspectionPicture);

    /**
     * 物理删除
     * @param bizProcessInspectionPicture
     * @return 删除结果
     */
    public int physicalDelete(BizProcessInspectionPicture bizProcessInspectionPicture);

}
