package cn.ezhizao.project.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizProcessInspectionRelationDetail;

/**
 * 外协检查关联明细Service接口
 *
 * @author ezhizao
 * @date 2024-11-26
 */
public interface IBizProcessInspectionRelationDetailService extends IService<BizProcessInspectionRelationDetail>
{
    /**
     * 查询外协检查关联明细列表
     *
     * @param bizProcessInspectionRelationDetail 外协检查关联明细
     * @return 外协检查关联明细集合
     */
    public List<BizProcessInspectionRelationDetail> getList(BizProcessInspectionRelationDetail bizProcessInspectionRelationDetail);

    /**
     * 物理删除
     * @param bizProcessInspectionRelationDetail
     * @return 删除结果
     */
    public int physicalDelete(BizProcessInspectionRelationDetail bizProcessInspectionRelationDetail);

}
