package cn.ezhizao.project.business.service;


import cn.ezhizao.project.business.domain.BizProductionResourceGroup;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;


/**
 * 工段资源组Service接口
 *
 * @author ezhizao
 * @date 2024-01-10
 */
public interface IBizProductionResourceGroupService extends IService<BizProductionResourceGroup>
{
    /**
     * 查询工段资源组列表
     *
     * @param bizProductionResourceGroup 工段资源组
     * @return 工段资源组集合
     */
    public List<BizProductionResourceGroup> getList(BizProductionResourceGroup bizProductionResourceGroup);

    /**
     * 物理删除
     * @param bizProductionResourceGroup
     * @return 删除结果
     */
    public int physicalDelete(BizProductionResourceGroup bizProductionResourceGroup);

}
