package cn.ezhizao.project.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizStorageCode;

/**
 * 存储码Service接口
 *
 * @author ezhizao
 * @date 2025-05-15
 */
public interface IBizStorageCodeService extends IService<BizStorageCode>
{
    /**
     * 查询存储码列表
     *
     * @param bizStorageCode 存储码
     * @return 存储码集合
     */
    public List<BizStorageCode> getList(BizStorageCode bizStorageCode);

    /**
     * 物理删除
     * @param bizStorageCode
     * @return 删除结果
     */
    public int physicalDelete(BizStorageCode bizStorageCode);

}
