package cn.ezhizao.project.business.service;

import cn.ezhizao.project.business.domain.BizSupplier;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 外协商Service接口
 *
 * @author ezhizao
 * date    2024-04-24
 */
public interface IBizSupplierService extends IService<BizSupplier> {

    /**
     * 物理删除
     *
     * @param bizCarrier 外协商
     * @return 删除结果
     */
    int physicalDelete(BizSupplier bizCarrier);

    List<BizSupplier> getList(BizSupplier data);
}
