package cn.ezhizao.project.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizTaksStockInboundOrderDetail;

/**
 * 盘点入库明细Service接口
 *
 * @author ezhizao
 * @date 2025-06-03
 */
public interface IBizTaksStockInboundOrderDetailService extends IService<BizTaksStockInboundOrderDetail>
{
    /**
     * 查询盘点入库明细列表
     *
     * @param bizTaksStockInboundOrderDetail 盘点入库明细
     * @return 盘点入库明细集合
     */
    public List<BizTaksStockInboundOrderDetail> getList(BizTaksStockInboundOrderDetail bizTaksStockInboundOrderDetail);

    /**
     * 物理删除
     * @param bizTaksStockInboundOrderDetail
     * @return 删除结果
     */
    public int physicalDelete(BizTaksStockInboundOrderDetail bizTaksStockInboundOrderDetail);

    public List<BizTaksStockInboundOrderDetail> getAnyInboundInfo(BizTaksStockInboundOrderDetail bizTaksStockInboundOrderDetail);
}
