package cn.ezhizao.project.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizTaksStockStorageRetrieval;

/**
 * 盘点零存零取Service接口
 *
 * @author ezhizao
 * @date 2024-10-14
 */
public interface IBizTaksStockStorageRetrievalService extends IService<BizTaksStockStorageRetrieval>
{
    /**
     * 查询盘点零存零取列表
     *
     * @param bizTaksStockStorageRetrieval 盘点零存零取
     * @return 盘点零存零取集合
     */
    public List<BizTaksStockStorageRetrieval> getList(BizTaksStockStorageRetrieval bizTaksStockStorageRetrieval);

    /**
     * 物理删除
     * @param bizTaksStockStorageRetrieval
     * @return 删除结果
     */
    public int physicalDelete(BizTaksStockStorageRetrieval bizTaksStockStorageRetrieval);

}
