package cn.ezhizao.project.system.service.impl;

import cn.ezhizao.project.system.domain.SysRole;
import cn.ezhizao.project.system.domain.SysUserRole;

import cn.ezhizao.project.system.mapper.SysUserRoleMapper;
import cn.ezhizao.project.system.service.ISysDeptService;
import cn.ezhizao.project.system.service.ISysUserRoleService;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.*;
import java.util.function.Function;

/**
 * 角色 业务层处理
 *
 * @author ruoyi
 */
@Service
public class SysUserRoleServiceImpl implements ISysUserRoleService
{

    @Resource
    private SysUserRoleMapper userRoleMapper;


    @Override
    public List<SysRole> selectRoleListByUserId(SysUserRole sysUserRole) {
        return userRoleMapper.selectRoleListByUserId(sysUserRole);
    }

    @Override
    public int batchUserRole(List<SysUserRole> userRoleList) {
        return userRoleMapper.batchUserRole(userRoleList);
    }

    @Override
    public int deleteUserRoleInfo(SysUserRole userRole) {
        return userRoleMapper.deleteUserRoleInfo(userRole);
    }

}
