package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;
import io.swagger.annotations.ApiModelProperty;


/**
 * 检查类别对象 biz_check_category
 *
 * @author ezhizao
 * @date 2024-08-07
 */
@Data
@TableName(value = "biz_check_category")
public class BizCheckCategory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 检查类别编码 */
    @Excel(name = "检查类别编码")
    @ApiModelProperty(value = "检查类别编码")
    private String code;

    /** 检查类别名称 */
    @Excel(name = "检查类别名称")
    @ApiModelProperty(value = "检查类别名称")
    private String name;

    /** 状态 */
    @Excel(name = "状态")
    @ApiModelProperty(value = "状态")
    private Integer status;

}
