package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

/**
 * 电子图纸对象 biz_process_inspection_picture
 *
 * @author ezhizao
 * @date 2024-09-26
 */
@Data
@TableName(value = "biz_process_inspection_picture")
public class BizProcessInspectionPicture extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 质检表id */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

    /** 报工咨询id */
    @ApiModelProperty(value = "${comment}")
    private Long processInspectionId;

    /** 图片地址 */
    @Excel(name = "图片地址")
    @ApiModelProperty(value = "图片地址")
    private String url;

    /** 图片名称 */
    @Excel(name = "图片名称")
    @ApiModelProperty(value = "图片名称")
    private String pictureName;

}
