package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 外协检查关联对象 biz_process_inspection_relation
 *
 * @author ezhizao
 * @date 2024-11-26
 */
@Data
@TableName(value = "biz_process_inspection_relation")
public class BizProcessInspectionRelation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 批次id */
    @ApiModelProperty(value = "${comment}")
    private Long lotId;

    /** 检查单id */
    @ApiModelProperty(value = "${comment}")
    private Long processInspectionId;

    /** 租户id */
    @ApiModelProperty(value = "${comment}")
    private Long tenantId;

}
