package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizCertificate;

/**
 * 合格证Mapper接口
 *
 * @author ezhizao
 * @date 2024-09-02
 */
public interface BizCertificateMapper extends BaseMapper<BizCertificate>
{
    /**
     * 查询合格证列表
     *
     * @param bizCertificate 合格证
     * @return 合格证集合
     */
    public List<BizCertificate> getList(BizCertificate bizCertificate);

    /**
     * 物理删除
     * @param bizCertificate
     * @return 删除结果
    */
    public int physicalDelete(BizCertificate bizCertificate);
}
