package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizChangeTechnologicalVersion;

/**
 * 生产计划工艺版本更改记录Mapper接口
 *
 * @author ezhizao
 * @date 2024-03-19
 */
public interface BizChangeTechnologicalVersionMapper extends BaseMapper<BizChangeTechnologicalVersion>
{
    /**
     * 查询生产计划工艺版本更改记录列表
     *
     * @param bizChangeTechnologicalVersion 生产计划工艺版本更改记录
     * @return 生产计划工艺版本更改记录集合
     */
    public List<BizChangeTechnologicalVersion> getList(BizChangeTechnologicalVersion bizChangeTechnologicalVersion);

    /**
     * 物理删除
     * @param bizChangeTechnologicalVersion
     * @return 删除结果
    */
    public int physicalDelete(BizChangeTechnologicalVersion bizChangeTechnologicalVersion);
}
