package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizCheckCategory;

/**
 * 检查类别Mapper接口
 *
 * @author ezhizao
 * @date 2024-08-07
 */
public interface BizCheckCategoryMapper extends BaseMapper<BizCheckCategory>
{
    /**
     * 查询检查类别列表
     *
     * @param bizCheckCategory 检查类别
     * @return 检查类别集合
     */
    public List<BizCheckCategory> getList(BizCheckCategory bizCheckCategory);

    /**
     * 物理删除
     * @param bizCheckCategory
     * @return 删除结果
    */
    public int physicalDelete(BizCheckCategory bizCheckCategory);
}
