package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizCompanyProductPackage;

/**
 * 产品包装客户关联Mapper接口
 *
 * @author ezhizao
 * @date 2024-09-04
 */
public interface BizCompanyProductPackageMapper extends BaseMapper<BizCompanyProductPackage>
{
    /**
     * 查询产品包装客户关联列表
     *
     * @param bizCompanyProductPackage 产品包装客户关联
     * @return 产品包装客户关联集合
     */
    public List<BizCompanyProductPackage> getList(BizCompanyProductPackage bizCompanyProductPackage);

    /**
     * 物理删除
     * @param bizCompanyProductPackage
     * @return 删除结果
    */
    public int physicalDelete(BizCompanyProductPackage bizCompanyProductPackage);
}
