package cn.ezhizao.project.business.mapper;

import cn.ezhizao.project.business.domain.BizDayworkItemConsult;
import cn.ezhizao.project.business.domain.BizInspectionInstruction;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

/**
 * 废品原因Mapper接口
 *
 * @author ezhizao
 * @date 2023-12-28
 */
public interface BizDayworkItemConsultMapper extends BaseMapper<BizDayworkItemConsult>
{
    /**
     * 查询咨询列表
     *
     * @param data 查询条件
     * @return 废品原因集合
     */
    public List<BizDayworkItemConsult> getList(BizDayworkItemConsult data);

    /**
     * 物理删除
     *
     * @param bizDayworkItemConsult 咨询信息
     * @return 删除结果
     */
    public int physicalDelete(BizDayworkItemConsult bizDayworkItemConsult);


}
