package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizDayworkItemHistory;

/**
 * 报工修改历史Mapper接口
 *
 * @author ezhizao
 * @date 2024-07-17
 */
public interface BizDayworkItemHistoryMapper extends BaseMapper<BizDayworkItemHistory>
{
    /**
     * 查询报工修改历史列表
     *
     * @param bizDayworkItemHistory 报工修改历史
     * @return 报工修改历史集合
     */
    public List<BizDayworkItemHistory> getList(BizDayworkItemHistory bizDayworkItemHistory);

    /**
     * 物理删除
     * @param bizDayworkItemHistory
     * @return 删除结果
    */
    public int physicalDelete(BizDayworkItemHistory bizDayworkItemHistory);
}
