package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizDayworkQualified;

/**
 * 报公合格数统计Mapper接口
 *
 * @author ezhizao
 * @date 2024-03-08
 */
public interface BizDayworkQualifiedMapper extends BaseMapper<BizDayworkQualified>
{
    /**
     * 查询报公合格数统计列表
     *
     * @param bizDayworkQualified 报公合格数统计
     * @return 报公合格数统计集合
     */
    public List<BizDayworkQualified> getList(BizDayworkQualified bizDayworkQualified);

    /**
     * 物理删除
     * @param bizDayworkQualified
     * @return 删除结果
    */
    public int physicalDelete(BizDayworkQualified bizDayworkQualified);
}
