package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizInspectionStandardsCheck;

/**
 * 检查类别标准Mapper接口
 *
 * @author ezhizao
 * @date 2024-08-07
 */
public interface BizInspectionStandardsCheckMapper extends BaseMapper<BizInspectionStandardsCheck>
{
    /**
     * 查询检查类别标准列表
     *
     * @param bizInspectionStandardsCheck 检查类别标准
     * @return 检查类别标准集合
     */
    public List<BizInspectionStandardsCheck> getList(BizInspectionStandardsCheck bizInspectionStandardsCheck);

    /**
     * 物理删除
     * @param bizInspectionStandardsCheck
     * @return 删除结果
    */
    public int physicalDelete(BizInspectionStandardsCheck bizInspectionStandardsCheck);
}
