package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizOutsourcedOrder;

/**
 * 外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子Mapper接口
 *
 * @author ezhizao
 * @date 2024-04-26
 */
public interface BizOutsourcedOrderMapper extends BaseMapper<BizOutsourcedOrder>
{
    /**
     * 查询外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子列表
     *
     * @param bizOutsourcedOrder 外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子
     * @return 外协单主
带箱方式，是整单的。如果换新箱子，明细中，都需要更换箱子集合
     */
    public List<BizOutsourcedOrder> getList(BizOutsourcedOrder bizOutsourcedOrder);
    public List<BizOutsourcedOrder> getInnerList(BizOutsourcedOrder bizOutsourcedOrder);
    public BizOutsourcedOrder  getInnerById(BizOutsourcedOrder bizOutsourcedOrder);
    public List<BizOutsourcedOrder> getAllList();

    /**
     * 物理删除
     * @param bizOutsourcedOrder
     * @return 删除结果
    */
    public int physicalDelete(BizOutsourcedOrder bizOutsourcedOrder);

}
