package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizProcessInspectionDetail;

/**
 * 序检明细Mapper接口
 *
 * @author ezhizao
 * @date 2024-08-05
 */
public interface BizProcessInspectionDetailMapper extends BaseMapper<BizProcessInspectionDetail>
{
    /**
     * 查询序检明细列表
     *
     * @param bizProcessInspectionDetail 序检明细
     * @return 序检明细集合
     */
    public List<BizProcessInspectionDetail> getList(BizProcessInspectionDetail bizProcessInspectionDetail);

    /**
     * 物理删除
     * @param bizProcessInspectionDetail
     * @return 删除结果
    */
    public int physicalDelete(BizProcessInspectionDetail bizProcessInspectionDetail);
    public List<BizProcessInspectionDetail> getDetailByProcessInspectionId(Long processInspectionId);
}
