package cn.ezhizao.project.business.mapper;

import cn.ezhizao.project.business.domain.BizProductionPlanDetailSubDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 生产子计划明细Mapper接口
 *
 * @author ezhizao
 * @date 2023-11-15
 */
public interface BizProductionPlanDetailSubDetailMapper extends BaseMapper<BizProductionPlanDetailSubDetail> {
    /**
     * 查询生产子计划明细列表
     *
     * @param bizProductionPlanDetailSubDetail 生产子计划明细
     * @return 生产子计划明细集合
     */
    List<BizProductionPlanDetailSubDetail> getList(BizProductionPlanDetailSubDetail bizProductionPlanDetailSubDetail);

    /**
     * 查询生产子计划明细列表
     *
     * @param bizProductionPlanDetailSubDetail 生产子计划明细
     * @return 生产子计划明细集合
     */
    List<BizProductionPlanDetailSubDetail> getListForOutsource(BizProductionPlanDetailSubDetail bizProductionPlanDetailSubDetail);

    /**
     * 物理删除
     *
     * @param bizProductionPlanDetailSubDetail
     * @return 删除结果
     */
    int physicalDelete(BizProductionPlanDetailSubDetail bizProductionPlanDetailSubDetail);

    /**
     * 根据关键字查询
     * @param
     * @return List<BizProductionPlanDetailSubDetail> 列表
     */
    List<BizProductionPlanDetailSubDetail> getListByKeywords(BizProductionPlanDetailSubDetail data);
}
