package cn.ezhizao.project.business.mapper;


import cn.ezhizao.project.business.domain.BizProductionResourceGroup;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;


/**
 * 工段资源组Mapper接口
 *
 * @author ezhizao
 * @date 2024-01-10
 */
public interface BizProductionResourceGroupMapper extends BaseMapper<BizProductionResourceGroup>
{
    /**
     * 查询工段资源组列表
     *
     * @param bizProductionResourceGroup 工段资源组
     * @return 工段资源组集合
     */
    public List<BizProductionResourceGroup> getList(BizProductionResourceGroup bizProductionResourceGroup);

    /**
     * 物理删除
     * @param bizProductionResourceGroup
     * @return 删除结果
    */
    public int physicalDelete(BizProductionResourceGroup bizProductionResourceGroup);
}
