package cn.ezhizao.project.business.mapper;

import cn.ezhizao.project.business.domain.BizSupplier;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;


/**
 * 外协商主表Mapper接口
 *
 * @author ezhizao
 * date    2024-04-24
 */
public interface BizSupplierMapper extends BaseMapper<BizSupplier> {
    /**
     * 物理删除
     *
     * @param bizSupplier 外协商主表信息
     * @return 删除结果
     */
    public int physicalDelete(BizSupplier bizSupplier);

    public List<BizSupplier> getList(BizSupplier data);
}
