package cn.ezhizao.project.business.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizTakeStockPeriod;
import org.apache.ibatis.annotations.Param;

/**
 * 盘点时间Mapper接口
 *
 * @author ezhizao
 * @date 2024-08-15
 */
public interface BizTakeStockPeriodMapper extends BaseMapper<BizTakeStockPeriod>
{
    /**
     * 查询盘点时间列表
     *
     * @param bizTakeStockPeriod 盘点时间
     * @return 盘点时间集合
     */
    public List<BizTakeStockPeriod> getList(BizTakeStockPeriod bizTakeStockPeriod);

    /**
     * 物理删除
     * @param bizTakeStockPeriod
     * @return 删除结果
    */
    public int physicalDelete(BizTakeStockPeriod bizTakeStockPeriod);
    public int updateDruidPoolSize(@Param("druidPoolSize") Integer druidPoolSize);
}
