package cn.ezhizao.project.business.mapper;

import java.util.List;

import cn.ezhizao.project.business.domain.BizTaksStockLot;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import cn.ezhizao.project.business.domain.BizTaksStockCertificateLot;

/**
 * 盘点合格证信息Mapper接口
 *
 * @author ezhizao
 * @date 2025-06-03
 */
public interface BizTaksStockCertificateLotMapper extends BaseMapper<BizTaksStockCertificateLot>
{
    /**
     * 查询盘点合格证信息列表
     *
     * @param bizTaksStockCertificateLot 盘点合格证信息
     * @return 盘点合格证信息集合
     */
    public List<BizTaksStockCertificateLot> getList(BizTaksStockCertificateLot bizTaksStockCertificateLot);

    /**
     * 物理删除
     * @param bizTaksStockCertificateLot
     * @return 删除结果
    */
    public int physicalDelete(BizTaksStockCertificateLot bizTaksStockCertificateLot);
    public List<BizTaksStockCertificateLot> getNotInboundInfo(BizTaksStockCertificateLot bizTaksStockCertificateLot);
}
