package cn.ezhizao.project.business.mapper;


import cn.ezhizao.project.business.domain.BizTurnover;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;


/**
 * 设备档案Mapper接口
 *
 * @author ezhizao
 * @date 2023-11-14
 */
public interface BizTurnoverMapper extends BaseMapper<BizTurnover> {
    /**
     * 物理删除
     *
     * @param bizTurnover 载具信息
     * @return 删除结果
     */
    public int physicalDelete(BizTurnover bizTurnover);
    public BizTurnover getTurnoverByDeptId(Long deptId);
}
