package cn.ezhizao.project.business.mapper;


import cn.ezhizao.project.business.domain.BizWorkshop;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;


/**
 * 车间管理Mapper接口
 *
 * @author ezhizao
 * @date 2024-02-22
 */
public interface BizWorkshopMapper extends BaseMapper<BizWorkshop>
{
    /**
     * 查询车间管理列表
     *
     * @param bizWorkshop 车间管理
     * @return 车间管理集合
     */
    public List<BizWorkshop> getList(BizWorkshop bizWorkshop);

    /**
     * 物理删除
     * @param bizWorkshop
     * @return 删除结果
    */
    public int physicalDelete(BizWorkshop bizWorkshop);
}
