package cn.ezhizao.project.business.service;

import cn.ezhizao.project.business.domain.BizCarrierCategory;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 设备档案Service接口
 *
 * @author ezhizao
 * @date 2023-11-14
 */
public interface IBizCarrierCategoryService extends IService<BizCarrierCategory> {

    /**
     * 物理删除
     *
     * @param id 要删除的数据id
     * @return 删除结果
     */
    int physicalDelete(Long id);

    /**
     * 获取子类别
     * @param list 类别列表
     */
    void getChildren(List<BizCarrierCategory> list);
}
