package cn.ezhizao.project.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizDayworkItemConsultPicture;

/**
 * 咨询图片Service接口
 *
 * @author ezhizao
 * @date 2024-07-22
 */
public interface IBizDayworkItemConsultPictureService extends IService<BizDayworkItemConsultPicture>
{
    /**
     * 查询咨询图片列表
     *
     * @param bizDayworkItemConsultPicture 咨询图片
     * @return 咨询图片集合
     */
    public List<BizDayworkItemConsultPicture> getList(BizDayworkItemConsultPicture bizDayworkItemConsultPicture);

    /**
     * 物理删除
     * @param bizDayworkItemConsultPicture
     * @return 删除结果
     */
    public int physicalDelete(BizDayworkItemConsultPicture bizDayworkItemConsultPicture);

}
