package cn.ezhizao.project.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizDayworkItemHistory;

/**
 * 报工修改历史Service接口
 *
 * @author ezhizao
 * @date 2024-07-17
 */
public interface IBizDayworkItemHistoryService extends IService<BizDayworkItemHistory>
{
    /**
     * 查询报工修改历史列表
     *
     * @param bizDayworkItemHistory 报工修改历史
     * @return 报工修改历史集合
     */
    public List<BizDayworkItemHistory> getList(BizDayworkItemHistory bizDayworkItemHistory);

    /**
     * 物理删除
     * @param bizDayworkItemHistory
     * @return 删除结果
     */
    public int physicalDelete(BizDayworkItemHistory bizDayworkItemHistory);

}
