package cn.ezhizao.project.business.service;


import cn.ezhizao.project.business.domain.BizFurnaceNoInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;


/**
 * 企业租户Service接口
 *
 * @author ezhizao
 * @date 2024-01-30
 */
public interface IBizFurnaceNoInfoService extends IService<BizFurnaceNoInfo>
{
    /**
     * 查询企业租户列表
     *
     * @param bizFurnaceNoInfo 企业租户
     * @return 企业租户集合
     */
    public List<BizFurnaceNoInfo> getList(BizFurnaceNoInfo bizFurnaceNoInfo);

    /**
     * 物理删除
     * @param bizFurnaceNoInfo
     * @return 删除结果
     */
    public int physicalDelete(BizFurnaceNoInfo bizFurnaceNoInfo);

    int removeSpecial(List<Long> firstDayworkIds);
}
