package cn.ezhizao.project.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizInboundOrder;

/**
 * 生产入库Service接口
 *
 * @author ezhizao
 * @date 2025-05-20
 */
public interface IBizInboundOrderService extends IService<BizInboundOrder>
{
    /**
     * 查询生产入库列表
     *
     * @param bizInboundOrder 生产入库
     * @return 生产入库集合
     */
    public List<BizInboundOrder> getList(BizInboundOrder bizInboundOrder);

    /**
     * 物理删除
     * @param bizInboundOrder
     * @return 删除结果
     */
    public int physicalDelete(BizInboundOrder bizInboundOrder);

}
