package cn.ezhizao.project.business.service;

import cn.ezhizao.project.business.domain.BizMaterialBase;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 材料基本 来源inv10100Service接口
 *
 * @author ezhizao
 * @date 2024-06-17
 */
public interface IBizMaterialBaseService extends IService<BizMaterialBase>
{
    /**
     * 查询材料基本 来源inv10100列表
     *
     * @param bizMaterialBase 材料基本 来源inv10100
     * @return 材料基本 来源inv10100集合
     */
    public List<BizMaterialBase> getList(BizMaterialBase bizMaterialBase);

    /**
     * 物理删除
     * @param bizMaterialBase
     * @return 删除结果
     */
    public int physicalDelete(BizMaterialBase bizMaterialBase);

}
