package cn.ezhizao.project.business.service;

import cn.ezhizao.project.business.domain.BizMessage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 消息队列Service接口
 *
 * @author ezhizao
 * @date 2024-07-03
 */
public interface IBizMessageService extends IService<BizMessage>
{
    /**
     * 查询消息队列列表
     *
     * @param bizMessage 消息队列
     * @return 消息队列集合
     */
    public List<BizMessage> getList(BizMessage bizMessage);


}
