package cn.ezhizao.project.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizNoCurrentReject;

/**
 * 非本序废品Service接口
 *
 * @author ezhizao
 * @date 2024-05-12
 */
public interface IBizNoCurrentRejectService extends IService<BizNoCurrentReject>
{
    /**
     * 查询非本序废品列表
     *
     * @param bizNoCurrentReject 非本序废品
     * @return 非本序废品集合
     */
    public List<BizNoCurrentReject> getList(BizNoCurrentReject bizNoCurrentReject);

    /**
     * 物理删除
     * @param bizNoCurrentReject
     * @return 删除结果
     */
    public int physicalDelete(BizNoCurrentReject bizNoCurrentReject);

}
