package cn.ezhizao.project.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizResourceAllocation;

/**
 * 资源分配Service接口
 *
 * @author ezhizao
 * @date 2023-11-21
 */
public interface IBizResourceAllocationService extends IService<BizResourceAllocation>
{
    /**
     * 查询资源分配列表
     *
     * @param bizResourceAllocation 资源分配
     * @return 资源分配集合
     */
    public List<BizResourceAllocation> getList(BizResourceAllocation bizResourceAllocation);

    /**
     * 物理删除
     * @param bizResourceAllocation
     * @return 删除结果
     */
    public int physicalDelete(BizResourceAllocation bizResourceAllocation);

}
