package cn.ezhizao.project.business.service;

import java.util.List;

import cn.ezhizao.project.business.domain.BizTaksStockLot;
import com.baomidou.mybatisplus.extension.service.IService;
import cn.ezhizao.project.business.domain.BizTaksStockCertificateLot;

/**
 * 盘点合格证信息Service接口
 *
 * @author ezhizao
 * @date 2025-06-03
 */
public interface IBizTaksStockCertificateLotService extends IService<BizTaksStockCertificateLot>
{
    /**
     * 查询盘点合格证信息列表
     *
     * @param bizTaksStockCertificateLot 盘点合格证信息
     * @return 盘点合格证信息集合
     */
    public List<BizTaksStockCertificateLot> getList(BizTaksStockCertificateLot bizTaksStockCertificateLot);

    public int physicalDelete(BizTaksStockCertificateLot bizTaksStockCertificateLot);
    public List<BizTaksStockCertificateLot> getNotInboundInfo(BizTaksStockCertificateLot bizTaksStockCertificateLot);

}
