package cn.ezhizao.project.business.service.impl;

import java.util.List;

import cn.ezhizao.project.business.domain.BizApp;
import cn.ezhizao.project.business.mapper.BizAppMapper;
import cn.ezhizao.project.business.service.IBizAppService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 * app版本管理Service业务层处理
 * 
 * @author 朱汕
 * @date 2023-03-07
 */
@Service
public class BizAppServiceImpl  extends ServiceImpl<BizAppMapper, BizApp> implements IBizAppService
{
    @Resource
    private BizAppMapper bizAppMapper;

    /**
     * 查询app版本管理列表
     * 
     * @param bizApp app版本管理
     * @return app版本管理
     */
    @Override
    public List<BizApp> getList(BizApp bizApp)
    {
        return bizAppMapper.getList(bizApp);
    }

}
